import daj.*;

/**
 *	Algorithms for Distributed Systems, SS 00, Project)
 *
 *	AsynchBFS algorithm message. Contains distance from root as value.
 *
 *	@author Jrgen Hartl, 9756179 / 881
 *	@author Rene Kobler, 9655888 / 881
 *	@author Christian Gintenreiter, 9655980 / 881
 *	@version 1.0
 */
class AsynchBFSMessage extends DijkstraScholtenMessage
{
	/**
	 *	Holds message value which is distance to root.
	 */
	int value;

	/**
	 *	Constructor.
	 *
	 *	@param value Message value which is distance to root.
	 */
	public AsynchBFSMessage(int value)
	{
		this.value = value;
	}

	/**
	 *	Returns the message value.
	 *
	 *	@return The message value.
	 */
	public int getValue()
	{
		return value;
	}

	/**
	 *	Returns description of the message.
	 *
	 *	@return Description of the message.
	 */
	public String getText()
	{
		return "AsynchBFS message:\nvalue: " + value + "\n" + super.getText();
	}
}
